package com.ff.base.enums;

import lombok.Getter;

/**
 * 域子使用状态
 *
 * @author shi
 * @date 2025/01/21
 */
@Getter
public enum DomainSonUsageStatus {
    PENDING(1, "待启用"),
    ENABLE_IN_PROGRESS(2, "启用中"),
    SWITCH_IN_PROGRESS(3, "切换中"),
    ENABLED(4, "启用成功"),
    DISABLE_IN_PROGRESS(5, "停用中");

    private final Integer value;
    private final String description;

    DomainSonUsageStatus(Integer value, String description) {
        this.value = value;
        this.description = description;
    }
}
